
local trash = minetest.create_detached_inventory("trash", {
	on_put = function(inv, listname, index, stack, player)
		inv:set_stack(listname, index, nil)
		--local player_name = player:get_player_name()
		--minetest.sound_play("trash", {to_player=player_name, gain = 1.0})
	end,
})

trash:set_size("main", 1)

sfinv.override_page("sfinv:crafting", {
	title = "Crafting",
	get = function(self, player, context)
		return sfinv.make_formspec(player, context, [[
				list[current_player;craft;1.75,0.5;3,3;]
				list[current_player;craftpreview;5.75,1.5;1,1;]
				list[detached:trash;main;0.25,2.5;1,1;]
				image[0.25,2.5;1,1;sfinv_trash.png]
				image[4.75,1.5;1,1;gui_furnace_arrow_bg.png^[transformR270]
				listring[current_player;main]
				listring[current_player;craft]
				image[0,4.75;1,1;gui_hb_bg.png]
				image[1,4.75;1,1;gui_hb_bg.png]
				image[2,4.75;1,1;gui_hb_bg.png]
				image[3,4.75;1,1;gui_hb_bg.png]
				image[4,4.75;1,1;gui_hb_bg.png]
				image[5,4.75;1,1;gui_hb_bg.png]
				image[6,4.75;1,1;gui_hb_bg.png]
				image[7,4.75;1,1;gui_hb_bg.png]
			]], true)
	end
})
